using System;

internal sealed class Delegate489 : MulticastDelegate
{
	public extern void Invoke(string string_0, string string_1);

	public static void smethod_0(string string_0, string string_1, Delegate489 delegate489_1)
	{
		delegate489_1(string_0, string_1);
	}

	public extern Delegate489(object object_0, IntPtr intptr_0);

	static Delegate489()
	{
		Class10.smethod_13(typeof(Delegate489).TypeHandle);
	}

	internal static Delegate489 delegate489_0;
}
